org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAppearanceCharacteristicsDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAppearanceCharacteristicsDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDAppearanceCharacteristicsDictionary
    extends Object
    implements COSObjectable

This class represents an appearance characteristics dictionary.

### Constructor Summary

Constructors
Constructor and Description
`PDAppearanceCharacteristicsDictionary(COSDictionary dict)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAlternateCaption()` This will retrieve the alternate caption.
`PDFormXObject` `getAlternateIcon()` This will retrieve the alternate icon.
`PDColor` `getBackground()` This will retrieve the background color.
`PDColor` `getBorderColour()` This will retrieve the border color.
`COSDictionary` `getCOSObject()` returns the dictionary.
`String` `getNormalCaption()` This will retrieve the normal caption.
`PDFormXObject` `getNormalIcon()` This will retrieve the normal icon.
`String` `getRolloverCaption()` This will retrieve the rollover caption.
`PDFormXObject` `getRolloverIcon()` This will retrieve the rollover icon.
`int` `getRotation()` This will retrieve the rotation of the annotation widget.
`void` `setAlternateCaption(String caption)` This will set the alternate caption.
`void` `setBackground(PDColor c)` This will set the background color.
`void` `setBorderColour(PDColor c)` This will set the border color.
`void` `setNormalCaption(String caption)` This will set the normal caption.
`void` `setRolloverCaption(String caption)` This will set the rollover caption.
`void` `setRotation(int rotation)` This will set the rotation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAppearanceCharacteristicsDictionary

    public PDAppearanceCharacteristicsDictionary(COSDictionary dict)

Constructor.

Parameters:
  `dict` - dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

returns the dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the dictionary

#### getRotation

    public int getRotation()

This will retrieve the rotation of the annotation widget. It must be a multiple of 90. Default is 0

Returns:
  the rotation

#### setRotation

    public void setRotation(int rotation)

This will set the rotation.

Parameters:
  `rotation` - the rotation as a multiple of 90

#### getBorderColour

    public PDColor getBorderColour()

This will retrieve the border color.

Returns:
  the border color.

#### setBorderColour

    public void setBorderColour(PDColor c)

This will set the border color.

Parameters:
  `c` - the border color

#### getBackground

    public PDColor getBackground()

This will retrieve the background color.

Returns:
  the background color.

#### setBackground

    public void setBackground(PDColor c)

This will set the background color.

Parameters:
  `c` - the background color

#### getNormalCaption

    public String getNormalCaption()

This will retrieve the normal caption.

Returns:
  the normal caption.

#### setNormalCaption

    public void setNormalCaption(String caption)

This will set the normal caption.

Parameters:
  `caption` - the normal caption

#### getRolloverCaption

    public String getRolloverCaption()

This will retrieve the rollover caption.

Returns:
  the rollover caption.

#### setRolloverCaption

    public void setRolloverCaption(String caption)

This will set the rollover caption.

Parameters:
  `caption` - the rollover caption

#### getAlternateCaption

    public String getAlternateCaption()

This will retrieve the alternate caption.

Returns:
  the alternate caption.

#### setAlternateCaption

    public void setAlternateCaption(String caption)

This will set the alternate caption.

Parameters:
  `caption` - the alternate caption

#### getNormalIcon

    public PDFormXObject getNormalIcon()

This will retrieve the normal icon.

Returns:
  the normal icon.

#### getRolloverIcon

    public PDFormXObject getRolloverIcon()

This will retrieve the rollover icon.

Returns:
  the rollover icon

#### getAlternateIcon

    public PDFormXObject getAlternateIcon()

This will retrieve the alternate icon.

Returns:
  the alternate icon.